<?php
 
printMatrix($_SERVER);

echo "Tu Ip es: ".getRealIP().'<br>';
//echo $_SERVER['PHP_SELF'];

/*$id=opendir("tablas/geoyos_jc/");

//id de directorio
echo "Handle: ",$id ,"<br>";
while($archivo = readdir($id)){
$files[]=$archivo;
}
*/
echo "<br><br>geoyos_jc<br>";
view("tablas/geoyos_jc/");
echo "<br>";
echo "<br><br>ADMINISTRACION<br>";
view("tablas/administracion/");
echo "<br>";
echo "<br><br>ARRENDAMIENTO<br>";
view("tablas/arrendamiento/");
echo "<br>";
echo "<br><br>PRODUCCION<br>";
view("tablas/produccion/");
echo "<br>";
echo "<br><br>ORDENES<br>";
view("tablas/ordenes/");
echo "<br>";
echo "<br><br>AUTOMOTRIZ<br>";
view("tablas/automotriz/");
echo "<br>";
echo "<br>";
echo "<br><br>HOSPITALES<br>";
view("tablas/hospitales/");
echo "<br>";
echo "<br><br>HOTELES<br>";
view("tablas/hoteles/");
echo "<br>";
echo "<br><br>TABLAS<br>";
view("tablas/tablas/");
echo "<br>";
echo "<br>";
echo "<br><br>CAJA_AHORRO<br>";
view("tablas/caja_ahorro/");
echo "<br>";
echo "<br>";
function view($dir){

	$directorio = opendir($dir);  
	
	$j=0;
	while ($archivo = readdir($directorio)) {  
		if ($archivo=="." || $archivo=="..") { 
			echo " "; 
		} 
		else {  
			$archivos[$j] = $archivo; 
			$j++;
		} 
	}   
	
	
	sort ($archivos); 
	echo count($archivos).'<br>';
	for($i=0;$i<count($archivos);$i++) {  
		if($apf=fopen($dir.$archivos[$i],"r")){
			$cad=fgets($apf,255);
			$cadena = $cad;
			echo $dir.$archivos[$i].'::'.$cadena.'<br>';
			$buscar = "INSERT INTO";
			if(eregi($buscar,$cadena)){
			echo $archivos[$i].'-->'.$cad."<br>";
			} 
			fclose($apf);
			//echo $archivos[$i].'-->'.$cad."<br>";
		}
	} 
}

/*function view($dir){
	//$dir="tablas/geoyos_jc/";  
	
	$directorio = opendir($dir);  
	
	$j=0;
	while ($archivo = readdir($directorio)) {  
		if ($archivo=="." || $archivo=="..") { 
			echo " "; 
		} 
		else {  
			$archivos[$j] = $archivo; 
			$j++;
		} 
	}   
	sort ($archivos); 
	echo count($archivos).'<br>';
	$buscar[] = "nparte1";
	$buscar[] = "producto";
	$buscar[] = "prod";
	$buscar[] = "cod_prod";
	$buscar[] = "id_prod";
	$buscar[] = "id_invent";
	for($i=0;$i<count($archivos);$i++) {  
		if($apf=fopen($dir.$archivos[$i],"r")){
			$cad=fgets($apf,255);
			$cadena = $cad;
			$cadIni=$cadena;
			while(!feof($apf)){
				$cad=fgets($apf,255);
				$cadena=$cad;

				for($k=0;$k<count($buscar);$k++){
					if(eregi($buscar[$k],$cadena)){
						echo $dir.$archivos[$i].'::'.$cadIni.'<br>';
						echo $archivos[$i].'-->'.$cad."<br><br>";
					}
				}
			} 
			fclose($apf);
			
			//echo "<br>";
		}
	} 
}*/

function printMatrix($matrix){
	if(is_array($matrix)) foreach($matrix as $indice=>$valor){
		if(is_array($valor)){
			echo $indice.'==><br>';
			printMatrix($valor);
			echo '<===================><br>';
		}
		else
			echo $indice.'=>'.$valor.'<br>';
	}
}
// cierro el identificador
//closedir($id);

function getRealIP(){
   
   if( $_SERVER['HTTP_X_FORWARDED_FOR'] != '' )
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
   
      // los proxys van añadiendo al final de esta cabecera
      // las direcciones ip que van "ocultando". Para localizar la ip real
      // del usuario se comienza a mirar por el principio hasta encontrar
      // una dirección ip que no sea del rango privado. En caso de no
      // encontrarse ninguna se toma como valor el REMOTE_ADDR
   
      $entries = split('[, ]', $_SERVER['HTTP_X_FORWARDED_FOR']);
   
      reset($entries);
      while (list(, $entry) = each($entries))
      {
         $entry = trim($entry);
         if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) )
         {
            // http://www.faqs.org/rfcs/rfc1918.html
            $private_ip = array(
                  '/^0\./',
                  '/^127\.0\.0\.1/',
                  '/^192\.168\..*/',
                  '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/',
                  '/^10\..*/');
   
            $found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);
   
            if ($client_ip != $found_ip)
            {
               $client_ip = $found_ip;
               break;
            }
         }
      }
   }
   else
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
   }
   
   return $client_ip;
}
 
?>